<?php

namespace Lc\CaracoleBundle\Solver\Product;

use Lc\CaracoleBundle\Model\Product\ProductCategoryInterface;

class ProductCategorySolver
{

    public function isOnline(ProductCategoryInterface $productCategory)
    {
        if ($productCategory->getParent()) {
            if ($productCategory->getStatus() && $productCategory->getParent()->getStatus()) {
                return true;
            }
        } elseif ($productCategory->getStatus()) {
            return true;
        }
        return false;
    }

}


