<?php

namespace Lc\CaracoleBundle\Controller\Reduction;

use Lc\CaracoleBundle\Container\Reduction\ReductionCartContainer;
use Lc\SovBundle\Repository\RepositoryQueryInterface;
use Lc\CaracoleBundle\Controller\AbstractAdminController;

abstract class ReductionCartAdminController extends AbstractAdminController
{

    public function getRepositoryQuery() :RepositoryQueryInterface
    {
        return $this->getReductionCartContainer()->getRepositoryQuery();
    }

    public function createEntity(string $entityFqcn)
    {
        return $this->getReductionCartContainer()->getFactory()->create($this->getSectionCurrent());
    }

}
